List cron triggers in a project
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{project_id}/cron-triggers \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{project_id}/cron-triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{project_id}/cron-triggers"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"cron_triggers": [
{
"id": "<string>",
"name": "<string>",
"enabled": true,
"schedule": "<string>",
"timezone": "<string>",
"payload": "<string>",
"dataset": "<string>",
"last_run_at": "<string>",
"next_run_at": "<string>",
"last_error": "<string>",
"created_at": "<string>"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Cron triggers
List cron triggers in a project
GET
/
admin
/
api
/
projects
/
{project_id}
/
cron-triggers
List cron triggers in a project
curl --request GET \
--url https://app.hookie.ai/admin/api/projects/{project_id}/cron-triggers \
--cookie hookie_session=const options = {method: 'GET', headers: {cookie: 'hookie_session='}};
fetch('https://app.hookie.ai/admin/api/projects/{project_id}/cron-triggers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://app.hookie.ai/admin/api/projects/{project_id}/cron-triggers"
headers = {"cookie": "hookie_session="}
response = requests.get(url, headers=headers)
print(response.text){
"cron_triggers": [
{
"id": "<string>",
"name": "<string>",
"enabled": true,
"schedule": "<string>",
"timezone": "<string>",
"payload": "<string>",
"dataset": "<string>",
"last_run_at": "<string>",
"next_run_at": "<string>",
"last_error": "<string>",
"created_at": "<string>"
}
]
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}{
"error": "<string>",
"retry_after": 123,
"upgrade_url": "<string>"
}Authorizations
sessionbearerAuth
The console's sealed session cookie, set by WorkOS AuthKit. Mutating requests also require the X-Requested-With CSRF header.
Path Parameters
Response
Cron triggers, newest first.
Show child attributes
Show child attributes